DtEditorReset(library call)

NAME
DtEditorReset — reset a DtEditor widget to its default state

SYNOPSIS

#include &<Dt/Editor.h>
void DtEditorReset(
Widget widget);

DESCRIPTION

The DtEditorReset function deletes the contents of a DtEditor widget, resets the undo edit function, clears the last string searched for plus the last replacement string.

The widget argument specifies the DtEditor widget ID.

For a complete definition of the DtEditor widget and its associated resources, see DtEditor(3).

RETURN VALUE

The DtEditorReset function returns no value.

APPLICATION USAGE

The DtEditorReset is analogous to destroying a DtEditor widget and creating a new one with the current resource settings. It is useful when reusing a DtEditor widget.

SEE ALSO

Dt/Editor.h - DtEditor(5), DtEditor(3).